Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.plugin
Class AddressRequestInfo

    java.lang.Object
      com.bea.wlcp.wlng.api.plugin.RequestInfo
          com.bea.wlcp.wlng.api.plugin.AddressRequestInfo

public class AddressRequestInfo
extends RequestInfo

Request info that contain one or more addresses.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`AddressRequestInfo(Class type, Method method, URI address, Object[] args)` Constructor fro multiple addresses

Method Summary
`URI` | `getAddress()` Gets the address.
`void` | `setAddress(URI address)` Sets the address.
`String` | `toShortString()` Returns a string representing the specifics of the requestInfo For the super class RequestInfo this will be the empty string

Methods inherited from class com.bea.wlcp.wlng.api.plugin.RequestInfo
`getArgument, getArguments, getMethod, getMethodName, getType, isForAllPlugins, setForAllPlugins`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressRequestInfo

    public AddressRequestInfo(Class type,
                              Method method,
                              URI address,
                              Object[] args)

  Constructor fro multiple addresses

Method Detail

### getAddress

    public final URI getAddress()

  Gets the address.

  Returns:
    The address of the request.

### setAddress

    public void setAddress(URI address)

  Sets the address.

  Parameters:
    `address` - The address of the request.

### toShortString

    public String toShortString()

  Returns a string representing the specifics of the requestInfo For the super class RequestInfo this will be the empty string

  Overrides:
    `toShortString` in class `RequestInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD